package com.mx.dla.dda.contrato.transaccion.exceptions.dtos;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TransaccionException extends Exception{

	private static final long serialVersionUID = 6058087215816293113L;
	protected Logger logger =  LoggerFactory.getLogger("app");
	
	public TransaccionException(String message)
	{
		super(message);
		logger.error(message);
	}
	
	public TransaccionException(String message , Exception e)
	{
		super(message,e);
		logger.error("Error: {}", e);
	}

}